/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart.command;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.requests.ChangeBoundsRequest;

/**
 * A {@link Command} storing a {@link ChangeBoundsRequest}, which corresponds to
 * a move and/or resize request of an edit part triggered by the user.
 * 
 * @author wandinger
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: B69AF7C192C2DA85F62E392EFED666F4
 */
public abstract class ChangeBoundsRequestCommandBase extends Command {
	/** The creation request */
	protected final ChangeBoundsRequest request;

	/** Constructor */
	public ChangeBoundsRequestCommandBase(ChangeBoundsRequest request) {
		this.request = request;
	}

	/** Returns the stored request. */
	protected ChangeBoundsRequest getRequest() {
		return request;
	}
}
